The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от opennews (?), 16-Сен-21, 20:22 
Опубликован релиз HTTP-сервера Apache 2.4.49, в котором представлено 27 изменений и устранено 5 уязвимостей:...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=55809

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


7. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –3 +/
Сообщение от Аноним (7), 16-Сен-21, 21:10 
Вроде как cockpit его использует?
Ответить | Правка | Наверх | Cообщить модератору

15. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (15), 16-Сен-21, 22:44 
Переполнение буфера, выход за границ буфера и null pointer dereference... Никогда такого не было и вот опять!
Ответить | Правка | Наверх | Cообщить модератору

18. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –1 +/
Сообщение от Аноним (18), 16-Сен-21, 23:17 
Раст в продакшн компиляции тоже не проверяет выход за границы.
Ответить | Правка | Наверх | Cообщить модератору

19. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (15), 16-Сен-21, 23:44 
Еще не надоело перепостивать это утверждение?
https://doc.rust-lang.org/std/vec/struct.Vec.html
"If you try to access an index which isn’t in the Vec, your software will panic"
Если нужно чтобы после этого не падало - перехватывай панику.
Или бери слайс и безопасно работай с ним.
Или какие-то из крейтов - circular-buffer, ring-buffer. Вариантов куча.

Ответить | Правка | Наверх | Cообщить модератору

20. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –2 +/
Сообщение от RustishishkA (?), 17-Сен-21, 02:40 
Использовать крейты от Васянов в проде, да еще и в проекте выше уровня HelloWorld? Вы серьёзно?
Ответить | Правка | Наверх | Cообщить модератору

26. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +1 +/
Сообщение от Аноним (26), 17-Сен-21, 07:34 
Ну ты же используешь либы от васянов на проде. Или ты все руками пишешь?
Ответить | Правка | Наверх | Cообщить модератору

27. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +2 +/
Сообщение от Аноним (15), 17-Сен-21, 08:44 
Ну так не используй! Там и до них варианты описаны.
Пиши свой велосипед который "никогда не падает".
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

29. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –1 +/
Сообщение от Аноним (29), 17-Сен-21, 10:46 
Я могу для C++ «««крейтов»»» понабрать будет так же безопасно. Но зачем?
Ответить | Правка | К родителю #19 | Наверх | Cообщить модератору

33. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (26), 17-Сен-21, 10:55 
Зачем безопасно? Хороший вопрос, рад, что ты задумался
Ответить | Правка | Наверх | Cообщить модератору

46. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +1 +/
Сообщение от Аноним (46), 17-Сен-21, 21:01 
Объясни подробненько плз, какая связь между Rust и безопасностью?
Ответить | Правка | Наверх | Cообщить модератору

50. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (26), 18-Сен-21, 11:52 
Сразу после того, как ты объяснишь, каким образом к вопросу про необходимость писать безопасно на с++ ты приплел раст
Ответить | Правка | Наверх | Cообщить модератору

22. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (22), 17-Сен-21, 06:55 
Почти все российские хостеры до сих пор сидят на допотопной версии 2.4.6.
Ответить | Правка | Наверх | Cообщить модератору

23. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от лютый жабби__ (?), 17-Сен-21, 07:13 
>Почти все российские хостеры до сих пор сидят на допотопной версии 2.4.6.

дык, там центос какой-нить, который патчит дыры.

Ответить | Правка | Наверх | Cообщить модератору

28. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –1 +/
Сообщение от suffix (ok), 17-Сен-21, 10:04 
Ну да у меня Centos и apache 2.4.6 - не вижу ничего плохого в этой "допотопной" версии учитывая что  перед apache свеженький nginx :)
Ответить | Правка | Наверх | Cообщить модератору

30. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (29), 17-Сен-21, 10:48 
Это как два презерватива.
Ответить | Правка | Наверх | Cообщить модератору

32. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +1 +/
Сообщение от пох. (?), 17-Сен-21, 10:51 
причем оба дырявых
Ответить | Правка | Наверх | Cообщить модератору

31. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –1 +/
Сообщение от пох. (?), 17-Сен-21, 10:51 
Или там самосборный апач (что для хостера, для которого это основной сервис, логичненько) в котором нет ненужного mod_proxy и еще более ненужного uwsgi.

А возможно и ненужного http/220 или сколько там сегодня модно.

Ответить | Правка | К родителю #23 | Наверх | Cообщить модератору

36. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (36), 17-Сен-21, 12:13 
Фух, ну уронить ладно, главное частью ботнета не стать.
Ответить | Правка | Наверх | Cообщить модератору

38. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (29), 17-Сен-21, 12:31 
Все уже обновили свои микротики?
Ответить | Правка | Наверх | Cообщить модератору

43. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (43), 17-Сен-21, 14:31 
Не знаю, у меня VDS
Ответить | Правка | Наверх | Cообщить модератору

44. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (43), 17-Сен-21, 14:33 
WiFi не использую.
Ответить | Правка | К родителю #38 | Наверх | Cообщить модератору

51. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от aaassssa (?), 19-Сен-21, 14:54 
Микроволновка используется в качестве роутера
Ответить | Правка | Наверх | Cообщить модератору

41. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  –1 +/
Сообщение от Аноним (41), 17-Сен-21, 13:25 
Однако
Apache (c 1999) - 1519 CVE
Nginx (c 2009) - 44 CVE
Ответить | Правка | Наверх | Cообщить модератору

47. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (46), 17-Сен-21, 21:03 
Это потому что Апач на дырявой сишечке. Ой и нжинкс на дырявой сишечке. Как так кто из растофанатиков объяснит?
Ответить | Правка | Наверх | Cообщить модератору

48. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (48), 17-Сен-21, 22:42 
Однако
Сравнение не совсем корректно - вы можете утверждать, что в случае Apache все, скажем, 1500 CVE не закрыты ДО 2009? Лучше (корректнее) сравнивать за одинаковый период.
Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

49. "Релиз http-сервера Apache 2.4.49 с устранением уязвимостей"  +/
Сообщение от Аноним (49), 18-Сен-21, 01:44 
Удивляет не это, а соотношение найденных CVE в совокупности.
Разница в 30 раз, пусть даже поделить на 2 ввиду того, что Nginx в 2 раза моложе.
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру